The Repost Item Valuation object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

item_code string
warehouse string
posting_date string required
posting_time string
error_log string
company string
voucher_type string
voucher_no string
based_on string

Default: Transaction

allow_negative_stock boolean

Default: true

via_landed_cost_voucher boolean

Default: false

allow_zero_rate boolean

Default: false

items_to_be_repost string
current_index integer
gl_reposting_index integer

Default: 0

total_reposting_count integer
recreate_stock_ledgers boolean

Default: false

reposting_reference string
repost_only_accounting_ledgers boolean

Default: false

total_vouchers integer
vouchers_posted integer
reposting_data_file string
The Repost Item Valuation object
{
  "id": "repost-item-valuation_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "error_log": "error_log_example",
  "company": "Example Corp",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "based_on": "Transaction",
  "allow_negative_stock": true,
  "via_landed_cost_voucher": false,
  "allow_zero_rate": false,
  "items_to_be_repost": "items_to_be_repost_example",
  "current_index": 0,
  "gl_reposting_index": 0,
  "total_reposting_count": 0,
  "recreate_stock_ledgers": false,
  "reposting_reference": "reposting_reference_example",
  "repost_only_accounting_ledgers": false,
  "total_vouchers": 0,
  "vouchers_posted": 0,
  "reposting_data_file": "reposting_data_file_example"
}
GET /api/stock/repost-item-valuation/{id}

Retrieve a repost item valuation

Retrieves the details of an existing repost item valuation. Supply the unique repost item valuation ID that was returned from a previous request.

Path parameters

id string required

The identifier of the repost item valuation to retrieve.

Returns

Returns the repost item valuation object if a valid identifier was provided.

GET /api/stock/repost-item-valuation/{id}
curl https://api.overplane.dev/api/stock/repost-item-valuation/repost-item-valuation_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "repost-item-valuation_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "error_log": "error_log_example",
  "company": "Example Corp",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "based_on": "Transaction",
  "allow_negative_stock": true,
  "via_landed_cost_voucher": false,
  "allow_zero_rate": false,
  "items_to_be_repost": "items_to_be_repost_example",
  "current_index": 0,
  "gl_reposting_index": 0,
  "total_reposting_count": 0,
  "recreate_stock_ledgers": false,
  "reposting_reference": "reposting_reference_example",
  "repost_only_accounting_ledgers": false,
  "total_vouchers": 0,
  "vouchers_posted": 0,
  "reposting_data_file": "reposting_data_file_example"
}
GET /api/stock/repost-item-valuation

List all repost item valuations

Returns a list of repost item valuations. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of repost item valuation objects.

GET /api/stock/repost-item-valuation
curl https://api.overplane.dev/api/stock/repost-item-valuation \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "repost-item-valuation_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "item_code": "item_code_example",
      "warehouse": "warehouse_example",
      "posting_date": "2024-01-15",
      "posting_time": "posting_time_example",
      "error_log": "error_log_example",
      "company": "Example Corp",
      "voucher_type": "voucher_type_example",
      "voucher_no": "voucher_no_example",
      "based_on": "Transaction",
      "allow_negative_stock": true,
      "via_landed_cost_voucher": false,
      "allow_zero_rate": false,
      "items_to_be_repost": "items_to_be_repost_example",
      "current_index": 0,
      "gl_reposting_index": 0,
      "total_reposting_count": 0,
      "recreate_stock_ledgers": false,
      "reposting_reference": "reposting_reference_example",
      "repost_only_accounting_ledgers": false,
      "total_vouchers": 0,
      "vouchers_posted": 0,
      "reposting_data_file": "reposting_data_file_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/repost-item-valuation

Create a repost item valuation

Creates a new repost item valuation object.

Body parameters

status string

Default: draft

item_code string
warehouse string
posting_date string required
posting_time string
error_log string
company string
voucher_type string
voucher_no string
based_on string

Default: Transaction

allow_negative_stock boolean

Default: true

via_landed_cost_voucher boolean

Default: false

allow_zero_rate boolean

Default: false

items_to_be_repost string
current_index integer
gl_reposting_index integer

Default: 0

total_reposting_count integer
recreate_stock_ledgers boolean

Default: false

reposting_reference string
repost_only_accounting_ledgers boolean

Default: false

total_vouchers integer
vouchers_posted integer
reposting_data_file string

Returns

Returns the newly created repost item valuation object if the call succeeded.

POST /api/stock/repost-item-valuation
curl https://api.overplane.dev/api/stock/repost-item-valuation \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"posting_date":"2024-01-15"}'
Response
{
  "id": "repost-item-valuation_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "error_log": "error_log_example",
  "company": "Example Corp",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "based_on": "Transaction",
  "allow_negative_stock": true,
  "via_landed_cost_voucher": false,
  "allow_zero_rate": false,
  "items_to_be_repost": "items_to_be_repost_example",
  "current_index": 0,
  "gl_reposting_index": 0,
  "total_reposting_count": 0,
  "recreate_stock_ledgers": false,
  "reposting_reference": "reposting_reference_example",
  "repost_only_accounting_ledgers": false,
  "total_vouchers": 0,
  "vouchers_posted": 0,
  "reposting_data_file": "reposting_data_file_example"
}
PATCH /api/stock/repost-item-valuation/{id}

Update a repost item valuation

Updates the specified repost item valuation by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the repost item valuation to update.

Body parameters

status string

Default: draft

item_code string
warehouse string
posting_date string
posting_time string
error_log string
company string
voucher_type string
voucher_no string
based_on string

Default: Transaction

allow_negative_stock boolean

Default: true

via_landed_cost_voucher boolean

Default: false

allow_zero_rate boolean

Default: false

items_to_be_repost string
current_index integer
gl_reposting_index integer

Default: 0

total_reposting_count integer
recreate_stock_ledgers boolean

Default: false

reposting_reference string
repost_only_accounting_ledgers boolean

Default: false

total_vouchers integer
vouchers_posted integer
reposting_data_file string

Returns

Returns the updated repost item valuation object.

PATCH /api/stock/repost-item-valuation/{id}
curl https://api.overplane.dev/api/stock/repost-item-valuation/repost-item-valuation_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","item_code":"item_code_example"}'
Response
{
  "id": "repost-item-valuation_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "error_log": "error_log_example",
  "company": "Example Corp",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "based_on": "Transaction",
  "allow_negative_stock": true,
  "via_landed_cost_voucher": false,
  "allow_zero_rate": false,
  "items_to_be_repost": "items_to_be_repost_example",
  "current_index": 0,
  "gl_reposting_index": 0,
  "total_reposting_count": 0,
  "recreate_stock_ledgers": false,
  "reposting_reference": "reposting_reference_example",
  "repost_only_accounting_ledgers": false,
  "total_vouchers": 0,
  "vouchers_posted": 0,
  "reposting_data_file": "reposting_data_file_example"
}
DELETE /api/stock/repost-item-valuation/{id}

Delete a repost item valuation

Permanently deletes a repost item valuation. This cannot be undone.

Path parameters

id string required

The identifier of the repost item valuation to delete.

Returns

Returns a confirmation that the repost item valuation has been deleted.

DELETE /api/stock/repost-item-valuation/{id}
curl https://api.overplane.dev/api/stock/repost-item-valuation/repost-item-valuation_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "repost-item-valuation_abc123",
  "deleted": true
}
POST /api/stock/repost-item-valuation/{id}/submit

Submit a repost item valuation

Submits a draft repost item valuation, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the repost item valuation to act on.

Returns

Returns the repost item valuation object with updated status.

POST /api/stock/repost-item-valuation/{id}/submit
curl https://api.overplane.dev/api/stock/repost-item-valuation/repost-item-valuation_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "repost-item-valuation_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "error_log": "error_log_example",
  "company": "Example Corp",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "based_on": "Transaction",
  "allow_negative_stock": true,
  "via_landed_cost_voucher": false,
  "allow_zero_rate": false,
  "items_to_be_repost": "items_to_be_repost_example",
  "current_index": 0,
  "gl_reposting_index": 0,
  "total_reposting_count": 0,
  "recreate_stock_ledgers": false,
  "reposting_reference": "reposting_reference_example",
  "repost_only_accounting_ledgers": false,
  "total_vouchers": 0,
  "vouchers_posted": 0,
  "reposting_data_file": "reposting_data_file_example"
}
POST /api/stock/repost-item-valuation/{id}/cancel

Cancel a repost item valuation

Cancels a submitted repost item valuation, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the repost item valuation to act on.

Returns

Returns the repost item valuation object with updated status.

POST /api/stock/repost-item-valuation/{id}/cancel
curl https://api.overplane.dev/api/stock/repost-item-valuation/repost-item-valuation_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "repost-item-valuation_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "error_log": "error_log_example",
  "company": "Example Corp",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "based_on": "Transaction",
  "allow_negative_stock": true,
  "via_landed_cost_voucher": false,
  "allow_zero_rate": false,
  "items_to_be_repost": "items_to_be_repost_example",
  "current_index": 0,
  "gl_reposting_index": 0,
  "total_reposting_count": 0,
  "recreate_stock_ledgers": false,
  "reposting_reference": "reposting_reference_example",
  "repost_only_accounting_ledgers": false,
  "total_vouchers": 0,
  "vouchers_posted": 0,
  "reposting_data_file": "reposting_data_file_example"
}